import numpy as np
import kdtree

if __name__ == "__main__":
    n, d = 24, 2
    golden_ratio = (1 + 5 ** 0.5) / 2
    X = np.zeros((n, d))
    for i in range(n):
        X[i, 0] = (i / golden_ratio) % 1
        X[i, 1] = i / n
    tree = kdtree.KDTree(X, depth=10)
